Summary:	Utilities for managing filesystem extended attributes.
Name:		attr
Group:		System Environment/Base
License:	GPL
Version:	2.4.8
Release:	2
Source0:	http://acl.bestbits.at/current/tar/attr-%{version}.src.tar.gz
Prereq:		/sbin/ldconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man5/*

  %attr(0511,root,root)		%{_bindir}/attr
  %attr(0511,root,root)		%{_bindir}/getfattr
  %attr(0511,root,root)		%{_bindir}/setfattr

%package -n libattr
Summary:	Dynamic library for extended attribute support.
Group:		Development/Libraries
Prereq:		/sbin/ldconfig

%description -n libattr
This package contains the libattr.so dynamic library which contains
the extended attribute system calls and library functions.

%files -n libattr
  %defattr(0444,root,root,0555)
  %attr(0555,root,root)		/%{_lib}/libattr.so.1.1.0
  %attr(0555,root,root)		/%{_lib}/libattr.so.1

%package -n libattr-devel
Summary:	Extended attribute static libraries and headers.
Group:		Development/Libraries
Requires:	libattr

%description -n libattr-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

%files -n libattr-devel
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man2/*
  %doc %{_mandir}/man3/*

  %attr(0444,root,root)		%{_includedir}/attr/attributes.h
  %attr(0444,root,root)		%{_includedir}/attr/error_context.h
  %attr(0444,root,root)		%{_includedir}/attr/libattr.h
  %attr(0444,root,root)		%{_includedir}/attr/xattr.h

  %attr(0555,root,root)		%{_libdir}/libattr.so
  %attr(0444,root,root)		%{_libdir}/libattr.a
  %attr(0444,root,root)		%{_libdir}/libattr.la
  %attr(0555,root,root)		/%{_lib}/libattr.so
  %attr(0444,root,root)		/%{_lib}/libattr.a
  %attr(0444,root,root)		/%{_lib}/libattr.la

%prep
%setup -q
  make configure

%build
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export DIST_ROOT="$RPM_BUILD_ROOT"
  export DIST_INSTALL=`pwd`/install.manifest
  export DIST_INSTALL_DEV=`pwd`/install-dev.manifest
  export DIST_INSTALL_LIB=`pwd`/install-lib.manifest

  make install DIST_MANIFEST="$DIST_INSTALL"
  make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"

  make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
  make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

  make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
  make -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

  # Put 64bit libs where they belong.
%ifarch x86_64
  mkdir $RPM_BUILD_ROOT/%{_lib}
  mkdir $RPM_BUILD_ROOT/%{_libdir}
  mv $RPM_BUILD_ROOT/lib/*            $RPM_BUILD_ROOT/%{_lib}
  mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}
%endif

  # Remove unpackaged files
  rm -fr $RPM_BUILD_ROOT/%{_docdir}/attr
  rm -f  $RPM_BUILD_ROOT/%{_datadir}/locale/de/LC_MESSAGES/attr.mo

%post -n libattr   -p /sbin/ldconfig
%postun -n libattr -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.8, Release 2
  - x86_64 support.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
